EVOLVOTRON(1)

NAME
evolvotron - Creates generative art by an interactive evolutionary process.

SYNOPSIS
evolvotron [-a] [-D] [-E] [-f <frames> ] [-F] [-g <cols> <rows> ] [-j] [-linz] [-m <multisample> ] [-M] [-n niceness ] [-N enlargement niceness ] [-r <framerate> ] [-spheremap] [-t <threads> ] [-v] [-x <functionname> | -X <functionname> ] [ <QtOptions> ]

DESCRIPTION
evolvotron is interactive "generative art" software to evolve images/textures/patterns through an iterative process of random mutation and user-selection driven evolution. Basically it displays a grid of random images; you click on one you like and the rest of the grid is refilled with variants of the one you picked. This man page describes only the command line options. A more complete manual fully describing usage via the application's GUI is accessible from the application's "Help" menu once it is running.

GENERAL OPTIONS

-a  Enable autocooling by default.

-E  Use a separate thread pool for computing enlargements. Using this option ensures computation of enlargements continue to make some progress even while the main grid is being actively worked on. However, this will be at the expense of main grid rendering performance. Without this option, enlargements' final high-resolution renderings are invariably lower priority than computation for images in the main grid. See also the -N option to control the priority of threads in this pool.

-F  Start in "fullscreen" mode (window manager permitting). [Press "Esc" key to revert to normal windowed mode].

-g  <cols> <rows> Number of image display cells (defaults to 6 by 5).

-j  Enable sample jittering.

-M  Start with menu and status bars supressed. [Press "Esc" key to display them].

-m  <multisample> Enables antialiased rendering. Valid values are 1,2,3,4. This specifies the size of the sub-pixel sampling grid, so 1 provides the default one-sample-per-pixel behaviour, while 4 provides 16 samples per pixel on a 4x4 grid.

-n  <niceness> Niceness of compute threads relative to the main application thread (defaults to 4).

-N  <enlargement niceness> Niceness relative to the main application thread of compute threads dealing with enlargements (defaults to 4 more than grid niceness). Only effective in conjunction with -E option.

-t  <threads> Number of compute threads (defaults to number of CPUs)

<QtOptions>
    The Qt GUI system recognizes an number of additional options (for example, standard X11 things like -geometry <width>x<height>).

ANIMATION OPTIONS

-f  <frames> Number of frames to animate (defaults to 1 i.e no animaton)

-linz
    Vary z linearly with time rather than sinusoidally.

-r  <framerate> Specify rate at which animations are displayed (as an integer number of frames per second). Defaults to 8.

POWER-USER / DEBUG OPTIONS

-D  Debug mode. Currently simply sets function weightings so virtually all function nodes are FunctionNoiseOneChannel. This is really only useful to developers in conjunction with the -x/-X options.

-spheremap
    Create spheremaps instead of planar textures. NB The middle-mouse adjustments will not behave as expected in this mode.

-v  Verbose mode. Probably most useful for getting a list of supported function names for use with the -x/-X options.

-x  <functionname> Force a specific function type to be used at the top level of all new image function trees (wrapped by random colour and spatial transforms). This can also be controlled from the "Favourite" dialog.

-X  <functionname> Similar to -x but with no wrapper functions.

EXAMPLES
evolvotron -x FunctionSpiralLinear evolvotron -X FunctionKaleidoscope

AUTHOR
evolvotron was written by Tim Day (www.timday.com) and is released under the conditions of the GNU General Public License. For further details see the application's "About" dialog (accessible from the "Help" menu), or the file LICENSE supplied with the source code.

SEE ALSO
evolvotron_mutate(1), evolvotron_render(1)